Subject: Re: What's cooking in git.git (Jul 2024, #04; Fri, 12)

From: Victoria Dye <[email-masked]>
Date: Tue, 16 Jul 2024 08:16:09 -0700

Junio C Hamano wrote:
> * vd/mktree (2024-06-20) 17 commits
>  - mktree: remove entries when mode is 0
>  - mktree: allow deeper paths in input
>  - mktree: optionally add to an existing tree
>  - mktree: add directory-file conflict hashmap
>  - mktree: use iterator struct to add tree entries to index
>  - mktree: create tree using an in-core index
>  - mktree: overwrite duplicate entries
>  - mktree: validate paths more carefully
>  - mktree: add a --literally option
>  - mktree.c: do not fail on mismatched submodule type
>  - mktree: use read_index_info to read stdin lines
>  - index-info.c: parse object type in provided in read_index_info
>  - index-info.c: return unrecognized lines to caller
>  - update-index: generalize 'read_index_info'
>  - mktree: use non-static tree_entry array
>  - mktree: rename treeent to tree_entry
>  - mktree: use OPT_BOOL
> 
>  "git mktree" has been rewritten, taking advantage of the cache-tree
>  API.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

Please drop this series; I haven't had any time to work on it since your
latest comments, and likely won't for the foreseeable future. If I do find
some time to address those comments, I'll resubmit the series.

Thanks!